Skip to content
POST/{organizationId}/{mandateId}/finance/cash/sepaCreditTransfers/{sepaCreditTransferId}

Get sepa credit transfer

Returns all information for a specific sepa credit transfer for a given mandate

Required permissions:

  • mandate.read

  • sepaCreditTransfer.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
sepaCreditTransferIdstringrequired

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/cash/sepaCreditTransfers/{sepaCreditTransferId}
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/cash/sepaCreditTransfers/{sepaCreditTransferId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

ObjectId as string

ObjectId as string

receiptTypestring | nullrequired

Options:

expenserevenueinvoicedepositdonationofferconfirmation
receiptNumberstring | nullrequired

minLength: 1

ObjectId as string

executeAtstringrequired
amountintegerrequired

maximum: 9999999999

exclusiveMinimum: 0

namestringrequired

minLength: 1

maxLength: 70

ibanibanrequired
bicstring | nullrequired
subjectstringrequired

minLength: 1

maxLength: 140

submittedAtdate-time | nullrequired

Additional properties are not allowed.

Response

200
{
  "_id": "000000000000000000000001",
  "mandate": "000000000000000000000001",
  "receipt": "000000000000000000000001",
  "receiptType": "expense",
  "receiptNumber": "string",
  "cashAccount": "000000000000000000000001",
  "executeAt": "string",
  "amount": 1,
  "name": "string",
  "iban": "string",
  "bic": "string",
  "subject": "string",
  "submittedAt": "2026-06-15T22:30:00Z",
  "submittedBy": {
    "name": "string",
    "type": "user",
    "userId": "string",
    "image": {
      "resource": "string"
    }
  },
  "finApiSubmission": {
    "webFormId": "string",
    "paymentId": 1,
    "status": "pending",
    "reason": "string"
  }
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}